<?php get_header(); ?>

<div class="page-hero">
	<div class="container">
		<div class="row">
			<div class="col-12">
				<div class="page-hero-content">
					<h1 class="page-hero-title"><?php single_term_title(); ?></h1>
					<?php if ( term_description() ) : ?>
						<p class="page-hero-subtitle"><?php echo wp_kses( term_description(), public_opinion_lite_get_allowed_tags( 'guide' ) ); ?></p>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</div>


<?php if ( public_opinion_lite_get_page_var() < 2 ) : ?>
	<?php
		$layout = get_term_meta( get_queried_object_id(), 'hero_layout', true );
		$q      = public_opinion_lite_get_hero_articles( $layout, get_queried_object_id() );
	?>
	<?php if ( ! empty( $q ) && $q->have_posts() ) : ?>
		<div class="container">
			<div class="row">
				<div class="col-12">
					<?php
						// Disable showing the posts' primary category. We're listing a category anyway.
						$priority = has_action( 'public_opinion_lite_the_entry_item_top_meta', 'public_opinion_lite_the_entry_item_category' );
						if ( $priority > 0 ) {
							remove_action( 'public_opinion_lite_the_entry_item_top_meta', 'public_opinion_lite_the_entry_item_category', $priority );
						}


						global $wp_query;
						$old_wp_query = $wp_query;
						$wp_query     = $q;

						get_template_part( 'template-parts/hero-articles/' . $layout );

						$wp_query = $old_wp_query;


						// Re-enable the primary category (if previously disabled).
						if ( $priority > 0 ) {
							add_action( 'public_opinion_lite_the_entry_item_top_meta', 'public_opinion_lite_the_entry_item_category', $priority );
						}
					?>
				</div>
			</div>
		</div>
	<?php endif; ?>
<?php endif; ?>


<main class="main">
	<div class="container">
		<div class="row">
			<div class="<?php public_opinion_lite_the_container_classes(); ?>">

				<?php
					if ( have_posts() ) :

						// Disable showing the posts' primary category. We're listing a category anyway.
						$priority = has_action( 'public_opinion_lite_the_entry_item_top_meta', 'public_opinion_lite_the_entry_item_category' );
						if ( $priority > 0 ) {
							remove_action( 'public_opinion_lite_the_entry_item_top_meta', 'public_opinion_lite_the_entry_item_category', $priority );
						}

						?>
						<div class="row row-items">

							<?php while ( have_posts() ) : the_post(); ?>

								<div class="<?php echo esc_attr( public_opinion_lite_get_columns_classes( 1 ) ); ?>">

									<?php get_template_part( 'template-parts/entry-items/media', get_post_format() ); ?>

								</div>

							<?php endwhile; ?>

						</div>
						<?php

						// Re-enable the primary category (if previously disabled).
						if ( $priority > 0 ) {
							add_action( 'public_opinion_lite_the_entry_item_top_meta', 'public_opinion_lite_the_entry_item_category', $priority );
						}


						public_opinion_lite_posts_pagination();

					else :

						get_template_part( 'template-parts/article', 'none' );

					endif;
				?>

			</div>

			<?php get_sidebar(); ?>
		</div>
	</div>
</main>

<?php get_footer();
